Package: org.grails.transaction

## [Java] Class MultiTransactionStatus.SavePoints

- org.grails.transaction.MultiTransactionStatus.SavePoints

-     private static class MultiTransactionStatus.SavePoints

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private java.util.Map<org.springframework.transaction.TransactionStatus, java.lang.Object>` | `savepoints` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `private void` | `addSavePoint(org.springframework.transaction.TransactionStatus status, java.lang.Object savepoint)`
    `` | `public void` | `release()`
    `` | `public void` | `rollback()`
    `` | `private void` | `save(org.springframework.transaction.TransactionStatus transactionStatus)`
    `` | `private java.lang.Object` | `savepointFor(org.springframework.transaction.TransactionStatus transactionStatus)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### private final java.util.Map<org.springframework.transaction.TransactionStatus, java.lang.Object> savepoints

  - ### Method Detail

    - #### private void addSavePoint(org.springframework.transaction.TransactionStatus status, java.lang.Object savepoint)

    - #### public void release()

    - #### public void rollback()

    - #### private void save(org.springframework.transaction.TransactionStatus transactionStatus)

    - #### private java.lang.Object savepointFor(org.springframework.transaction.TransactionStatus transactionStatus)